/* copyright-start
  ******************************************************************************
  *  Licensed Material - Property of IBM
  *
  *  5724-V27, 5655-R10, 5655-M22, 5655-L21, 5655-I49, 5655-D92
  *  Copyright IBM Corp. 1993, 2009                          
  *
  *  The source code for this program is not published or otherwise
  *  divested of its trade secrets, irrespective of what has been
  *  deposited with the U.S. Copyright Office.
  ******************************************************************************
  * copyright-end */

package com.ibm.dmh.rest.client;

/**
 * Used to access elements of the realtionship AA rest representation with
 * paged list of related assets 
 *
 */
public class DmhRestClientRelationship extends DmhRestClientPagedListOfLinks {

	/**
	 * @param dmhRestRootUri
	 * @param type
	 */
	public DmhRestClientRelationship(String dmhRestTrelationshipUri, String user, String password) {
		super(dmhRestTrelationshipUri, user, password);
	}

	/**
	 * 
	 * @param dmhRestDetailsUri
	 * @param relationshipName
	 */
	public DmhRestClientRelationship(String dmhRestDetailsUri, String relationshipName, String user, String pswd) {
		super(dmhRestDetailsUri, user, pswd);
		if (! dmhRestDetailsUri.endsWith("/") ) dmhRestDetailsUri = dmhRestDetailsUri + "/"; 
		dmhRestDetailsUri = dmhRestDetailsUri + "relationship/" + relationshipName;
		setDmhPagedListOfLinksUri(dmhRestDetailsUri);
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
	}

}
